## festival 2.4~release

=== src/scripts/Makefile ===
 ###########################################################################
 ##                                                                       ##
 ##                Centre for Speech Technology Research                  ##
 ##                     University of Edinburgh, UK                       ##
 ##                         Copyright (c) 1996                            ##
 ##                        All Rights Reserved.                           ##
 ##                                                                       ##
 ##  Permission is hereby granted, free of charge, to use and distribute  ##
 ##  this software and its documentation without restriction, including   ##
 ##  without limitation the rights to use, copy, modify, merge, publish,  ##
 ##  distribute, sublicense, and/or sell copies of this work, and to      ##
 ##  permit persons to whom this work is furnished to do so, subject to   ##
 ##  the following conditions:                                            ##
 ##   1. The code must retain the above copyright notice, this list of    ##
 ##      conditions and the following disclaimer.                         ##
 ##   2. Any modifications must be clearly marked as such.                ##
 ##   3. Original authors' names are not deleted.                         ##
 ##   4. The authors' names are not used to endorse or promote products   ##
 ##      derived from this software without specific prior written        ##
 ##      permission.                                                      ##
 ##                                                                       ##
 ##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
 ##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
 ##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
 ##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
 ##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
 ##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
 ##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
 ##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
 ##  THIS SOFTWARE.                                                       ##
 ##                                                                       ##
 ###########################################################################
 ##                                                                       ##
 ##                    Makfile for script directory                       ##
 ## --------------------------------------------------------------------- ##
 ##                 Author: Richard Caley (rjc@cstr.ed.ac.uk)             ##
 ##                                                                       ##
 ###########################################################################

TOP=../..
DIRNAME=src/scripts
SCRIPTS= festival_server.sh festival_server_control.sh
EXTRA_SCRIPTS =  jsapi_example.sh festival_client_java.sh
FILES = Makefile shared_setup_sh shared_setup_prl shared_script $(SCRIPTS) $(EXTRA_SCRIPTS)
INSTALL = 
ALL = $(SCRIPTS)

include $(TOP)/config/common_make_rules
include $(EST)/config/rules/bin_process.mak

=== src/modules/clustergen/Makefile ===
###########################################################################
##                                                                       ##
##  ---------------------------------------------------------------      ##
##      The HMM-Based Speech Synthesis System (HTS): version 1.1b        ##
##                        HTS Working Group                              ##
##                                                                       ##
##                   Department of Computer Science                      ##
##                   Nagoya Institute of Technology                      ##
##                                and                                    ##
##    Interdisciplinary Graduate School of Science and Engineering       ##
##                   Tokyo Institute of Technology                       ##
##                      Copyright (c) 2001-2003                          ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and             ##
##  distribute this software and its documentation without               ##
##  restriction, including without limitation the rights to use,         ##
##  copy, modify, merge, publish, distribute, sublicense, and/or         ##
##  sell copies of this work, and to permit persons to whom this         ##
##  work is furnished to do so, subject to the following conditions:     ##
##                                                                       ##
##    1. The code must retain the above copyright notice, this list      ##
##       of conditions and the following disclaimer.                     ##
##                                                                       ##
##    2. Any modifications must be clearly marked as such.               ##
##                                                                       ##
##  NAGOYA INSTITUTE OF TECHNOLOGY, TOKYO INSITITUTE OF TECHNOLOGY,      ##
##  HTS WORKING GROUP, AND THE CONTRIBUTORS TO THIS WORK DISCLAIM        ##
##  ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL           ##
##  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT       ##
##  SHALL NAGOYA INSTITUTE OF TECHNOLOGY, TOKYO INSITITUTE OF            ##
##  TECHNOLOGY, HTS WORKING GROUP, NOR THE CONTRIBUTORS BE LIABLE        ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY            ##
##  DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,      ##
##  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTUOUS       ##
##  ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR              ##
##  PERFORMANCE OF THIS SOFTWARE.                                        ##
##                                                                       ##
###########################################################################
##  This directory contains some low level support for statitsical       ##
##  parametric speech synthesis, mostly take from Nagoya Institutes of   ##
##  Technologies HTS Engine (though often with significant modification  ##
##                                                                       ##
##  These are specifically designed to support the Clustergen synthesis  ##
##  technique.                                                           ##
##                                                                       ##
##  Alan W Black (awb@cs.cmu.edu)                                        ##
###########################################################################
TOP=../../..
DIRNAME=src/modules/clustergen

H = mlsa_resynthesis.h HTS_vocoder_me.h vc.h simple_mlpg.h
CPPSRCS = clustergen.cc mlsa_resynthesis.cc vc.cc simple_mlpg.cc HTS_vocoder_me.cc
SRCS = $(CPPSRCS)
OBJS = $(CPPSRCS:.cc=.o) 

FILES=Makefile $(SRCS) $(H)

LOCAL_INCLUDES = -I../include -I ../hts_engine -DFESTIVAL

INLIB = $(TOP)/src/lib/libFestival.a

ALL = .buildlib

include $(TOP)/config/common_make_rules

=== src/modules/hts_engine/Makefile ===
# ----------------------------------------------------------------- #
#           The HMM-Based Speech Synthesis System (HTS)             #
#           festopt_hts_engine developed by HTS Working Group       #
#           http://hts-engine.sourceforge.net/                      #
# ----------------------------------------------------------------- #
#                                                                   #
#  Copyright (c) 2001-2011  Nagoya Institute of Technology          #
#                           Department of Computer Science          #
#                                                                   #
#                2001-2008  Tokyo Institute of Technology           #
#                           Interdisciplinary Graduate School of    #
#                           Science and Engineering                 #
#                                                                   #
# All rights reserved.                                              #
#                                                                   #
# Redistribution and use in source and binary forms, with or        #
# without modification, are permitted provided that the following   #
# conditions are met:                                               #
#                                                                   #
# - Redistributions of source code must retain the above copyright  #
#   notice, this list of conditions and the following disclaimer.   #
# - Redistributions in binary form must reproduce the above         #
#   copyright notice, this list of conditions and the following     #
#   disclaimer in the documentation and/or other materials provided #
#   with the distribution.                                          #
# - Neither the name of the HTS working group nor the names of its  #
#   contributors may be used to endorse or promote products derived #
#   from this software without specific prior written permission.   #
#                                                                   #
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND            #
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,       #
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF          #
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE          #
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS #
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,          #
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED   #
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,     #
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON #
# ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,   #
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY    #
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE           #
# POSSIBILITY OF SUCH DAMAGE.                                       #
# ----------------------------------------------------------------- #

TOP=../../..
DIRNAME=src/modules/hts_engine

H = HTS_engine.h HTS_hidden.h

CPPSRCS = fest2hts_engine.cc
CSRCS = HTS_audio.c HTS_engine.c HTS_gstream.c HTS_label.c HTS_misc.c HTS_model.c HTS_pstream.c HTS_sstream.c HTS_vocoder.c

SRCS = $(CPPSRCS) $(CSRCS)

OBJS = $(CPPSRCS:.cc=.o) $(CSRCS:.c=.o)
INFOS = README COPYING INSTALL AUTHORS

FILES=Makefile $(SRCS) $(H) $(INFOS)

LOCAL_INCLUDES = -I ../include -D FESTIVAL

INLIB = $(TOP)/src/lib/libFestival.a

ALL = .buildlib

include $(TOP)/config/common_make_rules

=== src/modules/java/cstr/festival/jsapi/Makefile ===

###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################

TOP=../../../../../..
DIRNAME=src/modules/java/cstr/festival/jsapi

JAVA_CLASSES = EngineCentral FestivalModeDesc \
	FestivalSynthesizer FestivalQueueItem \
	MessageQueue
NEED_JAVA=1

FILES = Makefile ReadMe $(JAVA_CLASSES:=.java)

ALL = .java .sub_directories 

include $(TOP)/config/common_make_rules

=== debian/changelog ===
festival (1:2.4~release-2) unstable; urgency=medium

  * control: Build-depend on libestools-dev instead of libestools2.4-dev.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 07 May 2015 01:55:56 +0200

festival (1:2.4~release-1) unstable; urgency=medium

  [ Sergio Oller ]
  * New upstream version 2.4

  [ Samuel Thibault ]
  * watch: Generalize rule.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 May 2015 18:06:23 +0200

festival (1:2.1~release-8) unstable; urgency=medium

  [ Sergio Oller ]
  * voice.list lists voices even if they do not use proclaim_voice,
    as some upstream voices do not use that convention. (Closes: 732083)
  * Fix libestools2.1-dev version dependency.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 May 2014 10:20:52 +0200

festival (1:2.1~release-7) unstable; urgency=low

  [ Sergio Oller ]
  * Improved performance by reducing disk i/o on HTS voices and by avoiding
    redundant HTS model reloads.
  * Rewritten text2wave:
      - Linear in CPU with respect to text length.
      - Constant in maximum memory usage no matter the text length.
      - Waves were temporary saved to disk and loaded from it.
        Now, disk output is reduced by half and disk input is 
        reduced to almost 0.
  * Build festival-dbg package
  * Build festival-doc package
  * Language selection chooses only among installed voices supporting
    the requested language. (Closes: 732083)

  [ Peter Drysdale ]
  * Remove sys-rc | file-rc dependency - we already ship with
    init files off due to security issues. (Closes: 734474)

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).
  * README.testing: add.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Apr 2014 02:44:38 +0200

=== debian/control ===
Source: festival
Section: sound
Priority: optional
Maintainer: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
Uploaders: Kumar Appaiah <akumar@debian.org>,
 Jaldhar H. Vyas <jaldhar@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8),
               autotools-dev,
               libestools-dev (>= 1:2.4~release),
               libncurses5-dev,
               texinfo,
               texlive-latex-base,
               quilt,
               libaudiofile-dev,
               dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.6
Homepage: http://www.cstr.ed.ac.uk/projects/festival/
Vcs-Git: git://git.debian.org/git/tts/festival.git
Vcs-Browser: http://git.debian.org/?p=tts/festival.git

Package: festival
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         adduser (>= 3.105),
         alsa-utils [linux-any],
         lsb-base (>= 3.0-10)
Recommends: festvox-kallpc16k | festival-voice
Breaks: festvox-rablpc8k (<< 1.4.0-2),
           festvox-rablpc16k (<< 1.4.0-2),
           festvox-kdlpc16k (<< 1.4.0-4),
           festvox-kdlpc8k (<< 1.4.0-5),
           festvox-don (<< 1.4.0-3),
           festvox-ellpc11k (<< 1.4.0-1),
           festlex-cmu (<< 1.4.0-3),
           festlex-oald (<< 1.4.0-2),
           festlex-poslex (<< 1.4.0-3)
Suggests: pidgin-festival, festival-freebsoft-utils
Description: General multi-lingual speech synthesis system
 Festival offers a full text to speech system with various APIs, as well an
 environment for development and research of speech synthesis techniques. It
 includes a Scheme-based command interpreter.
 .
 Besides research into speech synthesis, festival is useful as a stand-alone
 speech synthesis program. It is capable of producing clearly understandable
 speech from text.

Package: festival-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, festival (= ${binary:Version})
Description: General multi-lingual speech synthesis system -- debug symbols
 Festival offers a full text to speech system with various APIs, as well an
 environment for development and research of speech synthesis techniques. It
 includes a Scheme-based command interpreter.
 .
 Besides research into speech synthesis, festival is useful as a stand-alone
 speech synthesis program. It is capable of producing clearly understandable
 speech from text.
 .
 This package contains the debugging symbols for festival.

Package: festival-dev
Architecture: any
Depends: ${misc:Depends}, libestools-dev (>= 1:2.4~release)
Suggests: festival-doc
Section: libdevel
Description: Development kit for the Festival speech synthesis system
 This package contains the static library and headers that can be used to
 develop programs that use Festival. Documentation is now contained in the
 separate festival-doc package.

Package: festival-doc
Architecture: all
Depends: ${misc:Depends}, doc-base (>= 0.8.4)
Section: doc
Description: Documentation for Festival
 This package contains the HTML and Postscript versions of the
 documentation for Festival.

=== debian/rules ===
#!/usr/bin/make -f

FT := $(shell pwd)/debian/festival
FDT := $(shell pwd)/debian/festival-dev

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

override_dh_auto_configure:
#Avoid conflicting with upstreams build system

override_dh_auto_test:
#Upstream states test is only for their local development not a functional test

override_dh_auto_build:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	$(MAKE)
	cd doc && $(MAKE) festival.info festival.html festival.ps

override_dh_auto_clean:
	-QUILT_PATCHES=debian/patches quilt push 01-config_config.diff
	[ ! -f Makefile ] || $(MAKE) clean

override_dh_clean:
	find . -name make.depend -print0 | xargs -0r $(RM)
	find . -name make.include -print0 | xargs -0r $(RM)
	find bin/ \( -name SCCS -o -name RCS -o -name CVS \) -prune \
	     -o -type f ! -name Makefile -print0 | xargs -0r $(RM)
	rm -rf doc/*.1 doc/festfeat.texi doc/festvars.texi doc/festfunc.texi \
	       doc/info src/modules/hts21_engine/*.o \
	       src/modules/hts21_engine/.buildlib_Festival
	rm -f config/modincludes.inc config/system.mak
	rm -f bin/festival*
	rm -f config.sub config.guess config.log config.status config.cache
	-rmdir src/modules/hts21_engine
	rm -f doc/festival.ps doc/festival.dvi doc/festival.cps
	rm -rf doc/html
	rm -rf 	doc/festival.aux doc/festival.cp doc/festival.fn \
	        doc/festival.ky doc/festival.log doc/festival.pg \
	        doc/festival.toc doc/festival.tp doc/festival.vr
	dh_clean

override_dh_strip:
	dh_strip -pfestival --dbg-package=festival-dbg

override_dh_installinit:
#Init script has BAD security Debian switches it off by default

override_dh_installchangelogs:
	dh_installchangelogs -a -k NEWS
	dh_installchangelogs -pfestival-doc -a -k NEWS

override_dh_installdocs:
	dh_installdocs -a README ACKNOWLEDGMENTS
	dh_installdocs -pfestival-doc -a README ACKNOWLEDGMENTS

override_dh_installman:
	dh_installman -pfestival doc/festival.1 doc/festival_client.1 doc/text2wave.1

override_dh_installinfo:
	dh_installinfo -pfestival doc/info/festival.info*

override_dh_installexamples:
	dh_installexamples -pfestival examples/* -Xexamples/text2utt -Xexamples/text2wave debian/festival.init debian/festival.scm

%:
	dh $@
#

=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/;s/-release/~release/" \
http://www.festvox.org/packed/festival/([\d.]*)/festival-(.*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
